/* ***************header************** */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap');

/* html me pass  */
body {
    font-family: "Roboto", sans-serif;
    background-color: rgb(146, 194, 213);
}

header {
    height: 5rem;
    /* background-color: lightcoral; */
}

.titlebar {
    height: 50%;
    display: flex;
    align-items: center;
    gap: 0.2rem;

}

.title-img {
    /* 2.5rem -> 60% */
    height: 60%;
    margin-left: 1rem
}

.title {
    font-size: 1rem;


}

.menu-bar {
    display: flex;
    gap: 1rem;
    margin-left: 1rem;
    align-items: center;
    height: 50%;
}

.menu {
    position: relative;
}

.menu:hover {
border: 1px solid rgb(7, 93, 133);
    background-color: rgb(221, 244, 250);
}

.menu-items {
    background-color: rgb(238, 238, 238);
    position: absolute;
    top: 6px;
    width: 9rem;
    display: none;
    cursor: pointer;
}

.menu:hover .menu-items {
    display: block;
}

li {
    padding: 0.25rem;
}
li:hover{
background-color: rgb(246, 161, 161)
}

#videoInput {
    display: none;
}

/* main element */
main {
    background-color: black;
    height: calc(100vh - 10rem);
    display: flex;
    justify-content: center;
    align-items: center;
}

.video {
    height: 100%;
}

.toast {
    color: white;
    font-size: 2rem;
    position: fixed;
    top: 99px;
    right: 47px;
    display: none;
}

/* footer */
footer {
    height: 5rem;
    padding-top: 0.5rem;
    padding-bottom: 1rem;
}

.time-container {
    display: flex;
    gap: 1rem;
}

.time-container>* {
    /* outline: 1px solid red; */
    text-align: center;
}

.current-time,.total-time {
    width: 5%;
    min-width: 44px;


}

.time-slider {
    width: 93%;
}

.slider {
    width: 100%;
    opacity: 0.7;
}
.btn {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    background-color: rgb(221, 218, 218);
    border: 1px solid rgb(126, 124, 124);
    height: 20px;
    width: 20px;
}

.btn:hover {
    border: 1px solid rgb(7, 93, 133);
    background-color: rgb(221, 244, 250);
}

.menu-btns {
    display: flex;
    gap: 0.5rem;
    margin-left: 2rem;
    margin-top: 0.5rem;
    cursor: pointer;
    
}

i {
    color: rgba(82, 82, 82, 0.843);
    font-size: 14px;
}

.play_pause-container {
    padding: 7px;
    height: 25px;
    width: 25px;
    padding: 7px;

}

.rest-options {
    display: flex;
    gap: 0.3rem;
    align-items: flex-end;
}
